package info.aspirecn.iov.yysj.paramtransfer.dao;
import info.aspirecn.iov.yysj.paramtransfer.inter.vo.YysjProduct;
import info.aspirecn.iov.yysj.paramtransfer.inter.vo.YysjUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Value;

import java.util.List;

@Mapper
public interface YysjUserMapper {
    //根据用户id获取用户信息
    YysjUser getUser(String userId);

    List<YysjProduct> getYysjProductIdByUserId(@Param("userId") String userId,@Param("type") int type);
    List<String> getSjjhProduct();
    int delelteYysjByUserId(@Param("userId") String userId,@Param("produceId") String produceId);
    int addYyproduct(YysjProduct yysjProduct);

    int addYyproductRelation(@Value("yysjId") String yysjId,@Value("sjjhId") String sjjhId);

    List<YysjProduct>  selectYyproducts();

    int updateYyproduct(YysjProduct yysjProduct);


    int  updateSjjhproduct(@Param("yysjId") String yysjId,@Param("sjjhId") String sjjhId);
}
